.btn {
  background-color: $color--white;
  color: $primary;
  font-size: 1rem;
  font-weight: 700;
  border: 4px solid $primary;
  border-radius: 0;
  padding: 0.5em 1em;
  text-decoration: none !important;
  transition: all 100ms linear;
  cursor: pointer;

  &:hover,
  &:focus {
    background-color: $primary;
    color: $color--white;
    border-color: $primary;
  }

  &--big {
    font-size: 1.25rem;
  }
}

.ebi-button {
  font-weight: 700;
  line-height: 1;
  align-self: center;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  border: 4px solid $primary;
  box-shadow: 8px 8px 0 $primary--dark;
  display: inline-block;
  margin: 0 1rem 1rem 0;
  outline: 0;
  padding: 0.5em 1em;
  position: relative;
  text-align: center;
  text-decoration: none !important;
  transform: translate(0);
  transition: all 125ms linear;
  cursor: pointer;

  background-color: $color--white;
  color: $primary;
  font-size: 1rem;

  &:hover,
  &:focus {
    box-shadow: 4px 4px 0 $color--blue--dark;
    transform: translate(4px, 4px);
    background-color: $color--white;
    color: $primary;
    border: 4px solid $primary;
  }
  &:active {
    box-shadow: none;
    transform: translate(8px, 8px);

    // Override datatables buttons' btn-secondary bootstrap styles.
    background-color: $color--white !important;
    color: $primary !important;
    border: 4px solid $primary !important;
  }

  &--big {
    background-color: $primary;
    color: $color--white;
    font-size: 1.5rem;

    &:hover,
    &:focus {
      box-shadow: 4px 4px 0 $color--blue--dark;
      transform: translate(4px, 4px);
      background-color: $primary;
      color: $color--white;
    }

    &:active {
      box-shadow: none;
      transform: translate(8px, 8px);
    }
  }
}
